## Ticket quick replies (`ticket-quick-replies`)

Global quick replies for admins.

Authentication: Admin only · Docs: https://www.gocdn888.com/en/docs/api/ticket-quick-replies

### GET `/api/v2/ticket-quick-replies`

List quick replies · Authentication: Admin only

```sh
curl "https://panel.example.com/api/v2/ticket-quick-replies" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### POST `/api/v2/ticket-quick-replies`

Create a quick reply · Authentication: Admin only

Request body:

| Field | Type | Required | Description |
|---|---|---|---|
| `content` | string | Yes | Content, 1 to 1000 characters. |
| `sort` | integer |  | Sort order; default 100. |
| `title` | string | Yes | Title, 1 to 20 characters. |

```sh
curl -X POST "https://panel.example.com/api/v2/ticket-quick-replies" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### PUT `/api/v2/ticket-quick-replies/{id}`

Update a quick reply · Authentication: Admin only

Request body:

| Field | Type | Required | Description |
|---|---|---|---|
| `content` | string | Yes | Content, 1 to 1000 characters. |
| `sort` | integer |  | Sort order; default 100. |
| `title` | string | Yes | Title, 1 to 20 characters. |

```sh
curl -X PUT "https://panel.example.com/api/v2/ticket-quick-replies/{id}" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### DELETE `/api/v2/ticket-quick-replies/{id}`

Delete a quick reply · Authentication: Admin only

```sh
curl -X DELETE "https://panel.example.com/api/v2/ticket-quick-replies/{id}" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

Ticket quick replies object:

| Field | Type | Required | Description |
|---|---|---|---|
| `content` | string | Yes | Content, 1 to 1000 characters. |
| `created_at` | string |  | Created at (read-only) |
| `id` | integer |  | Record ID (read-only) |
| `items` | TicketQuickReply[] |  | Items on this page |
| `sort` | integer |  | Sort order; default 100. |
| `title` | string | Yes | Title, 1 to 20 characters. |
| `updated_at` | string |  | Updated at (read-only) |
